<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Employee Time Off</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-edit.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/css/fixedColumns.bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/dropify/dropify.min.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Employee</li>
                            </ol>
                        </nav>
                    </div>
                    
                    <!-- put your content here -->
                    <div class="card">
                        <div class="card-body" style="padding: 30px 0 0 0;">
                            <div class="template-demo d-flex justify-content-center bd-highlight mb-3">
                                <ul class="list-inline" style="border-bottom: 1px solid #afaaaa;">
                                    <li class="list-inline-item">
                                        <a th:href="@{/employee-edit}" class="btn btn-danger menuButton">General Info</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="#" class="btn btn-danger menuButton">Payroll</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Time Management </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <a class="dropdown-item" th:href="@{/employee-time-off}">Time Off</a>
                                            <a class="dropdown-item" th:href="@{/employee-attendance}">Attendance</a>
                                            <a class="dropdown-item" th:href="@{/employee-overtime}">Overtime</a>
                                            <!-- <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a> -->
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Finance </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> History </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> More </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-sm-6" style="height: 50px;">
                                        <h4 class="card-title" style="margin-bottom: 10px;">Employee Name's time off information</h4>
                                        <p class="card-description">This is summary of your employee time off balance.</p>
                                    </div>
                                    <div class="col-sm-6 d-flex flex-row-reverse" style="height: 50px;">
                                        <button type="button" class="btn btn-info btn-fw" data-toggle="modal" data-target="#requestTimeOff">REQUEST TIME OFF</button> &nbsp;
                                        <button type="button" class="btn btn-info btn-fw" data-toggle="modal" data-target="#requestDelegation">REQUEST DELEGATION</button>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-sm-12">                                
                                <div class="row d-flex justify-content-center">
                                    <h6 class="card-title text-danger" style="margin-bottom:0; margin-top:30px;">CUTI TAHUNAN 18 HARI</h6>
                                </div>
                                <br>
                                <div class="row">
                                    <h1 class="col-sm-6 d-flex flex-row-reverse" style="color:black">18</h1> <!-- dynamic number from db -->
                                    <h6 class="col-sm-6 d-flex flex-row" style="margin-top:13px;"> days</h6>
                                </div>
                            </div>
                            <hr />
                            <ul class="nav nav-pills nav-pills-success" id="pills-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">TIME OFF REQUEST</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">DELEGATION</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">TIME OFF TAKEN</a>
                                </li>
                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                                    <div class="col-lg-12">
                                        <table class="table display" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>Created Date</th>
                                                    <th>Policy Code</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th>
                                                    <th>Notes</th>
                                                    <th>Status</th>
                                                    <th>Taken</th>
                                                    <th>Canceled</th>
                                                    <th>Detail</th>
                                                    <th>Approval Line</th>
                                                    <th>File</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
                                    <div class="col-lg-12">
                                        <table class="table display" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>To User</th>
                                                    <th>Created Date</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th>
                                                    <th>Notes</th>
                                                    <th>Status</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">
                                    <div class="col-lg-12">
                                        <table class="table display" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>Policy Code</th>
                                                    <th>Effective Date</th>
                                                    <th>Type</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                    <!-- Modal Request Time Off -->
                    <div class="modal fade" id="requestTimeOff" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-9">
                                <div class="modal-header">
                                    <h5 class="modal-title">Request Time Off</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="#">
                                    <div class="modal-body modal-scroll">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Time Off Type</label>
                                                    <div class="col-sm-9">
                                                        <select class="js-example-basic-single" style="width:100%" id="timeOffType">
                                                            <option value="">-Choose-</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Start Date</label>
                                                    <div class="col-sm-9">
                                                        <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                            <span class="input-group-addon input-group-append border-left">
                                                                <span class="fa fa-calendar input-group-text"></span>
                                                            </span>
                                                            <input type="text" class="form-control form-control-sm" id="startDateTimeOff" name="startDateTimeOff">
                                                        </div>
                                                        <label for="startDateTimeOff" class="validation_error_message mt-2 text-danger startDateTimeOff" style="margin-left: 5px;"></label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label"> End Date</label>
                                                    <div class="col-sm-9">
                                                        <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                            <span class="input-group-addon input-group-append border-left">
                                                                <span class="fa fa-calendar input-group-text"></span>
                                                            </span>
                                                            <input type="text" class="form-control form-control-sm" id="endDateTimeOff" name="endDateTimeOff">
                                                        </div>
                                                        <label for="endDateTimeOff" class="validation_error_message mt-2 text-danger endDateTimeOff" style="margin-left: 5px;"></label>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Attach File</label>
                                                    <div class="col-sm-9">
                                                        <input type="file" class="dropify" name="certification" />
                                                        <small>Max. 10 MB</small>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label"></label>
                                                    <div class="col-sm-9">
                                                        <div class="form-check">
                                                            <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input delegateCheck"> Delegate To </label>
                                                        </div>
                                                        <div class="delegateShow" style="display: none">
                                                            <select class="js-example-basic-single" style="width:100%" id="delegateTo">
                                                                <option value="">001.001 - Dr. Muhammad Syafii Antonio, M.Ec</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group row">
                                                    <label class="col-sm-3 col-form-label">Notes</label>
                                                    <div class="col-sm-9">
                                                        <textarea class="form-control" id="notes" rows="4"></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-success">Submit</button>
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Request Delegation -->
                    <div class="modal fade" id="requestDelegation" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-9">
                                <div class="modal-header">
                                    <h5 class="modal-title">Request Time Off</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="#">
                                    <div class="modal-body modal-scroll">
                                        <div class="form-group row">
                                            <label for="exampleInputUsername2" class="col-sm-3 col-form-label">Delegate From</label>
                                            <div class="col-sm-9">
                                                <input type="text" class="form-control" id="exampleInputUsername2" value="Dummy Employee Name" readonly>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="exampleInputEmail2" class="col-sm-3 col-form-label">Delegate To</label>
                                            <div class="col-sm-9">
                                                <select class="js-example-basic-single" style="width:100%" id="delegationTo">
                                                    <option value="">001.001 - Dr. Muhammad Syafii Antonio, M.Ec</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="exampleInputMobile" class="col-sm-3 col-form-label">Start Date</label>
                                            <div class="col-sm-9">
                                                <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                    <span class="input-group-addon input-group-append border-left">
                                                        <span class="fa fa-calendar input-group-text"></span>
                                                    </span>
                                                    <input type="text" class="form-control form-control-sm" id="startDateDelegation" name="startDateDelegation">
                                                </div>
                                                <label for="startDateDelegation" class="validation_error_message mt-2 text-danger startDateDelegation" style="margin-left: 5px;"></label>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label for="exampleInputMobile" class="col-sm-3 col-form-label">End Date</label>
                                            <div class="col-sm-9">
                                                <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                    <span class="input-group-addon input-group-append border-left">
                                                        <span class="fa fa-calendar input-group-text"></span>
                                                    </span>
                                                    <input type="text" class="form-control form-control-sm" id="endDateDelegation" name="endDateDelegation">
                                                </div>
                                                <label for="endDateDelegation" class="validation_error_message mt-2 text-danger endDateDelegation" style="margin-left: 5px;"></label>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-form-label">Notes</label>
                                            <div class="col-sm-9">
                                                <textarea class="form-control" id="notesDelegation" rows="4"></textarea>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-success">Submit</button>
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <script th:src="@{assets/js/tabs.js}"></script>
    <script th:src="@{assets/vendors/dropify/dropify.min.js}"></script>
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/dataTables.fixedColumns.min.js}"></script>
    <!-- End plugin js for this page -->
    <!-- Custom js for this page -->
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/dropify.js}"></script>
    <script th:src="@{assets/customJs/employee-time-off.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>